> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tarefy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Cria um novo template

> Cria um template de Kanban com colunas, tarefas, épicos e automações legacy opcionais.



## OpenAPI

````yaml /api-reference/tarefas.yaml post /v2/templates
openapi: 3.0.0
info:
  title: Tarefy API
  description: >-
    Tarefy REST API — platform for team management, tasks, culture, and
    performance.


    Versioned endpoints are available under `/v2/...`. Authenticate with a
    Bearer JWT in the `Authorization` header.


    To get started, see the [authentication guide](/authentication) and the
    [quickstart](/quickstart).
  version: 2.0.0
  contact:
    name: Tarefy Support
    email: suporte@tarefy.com
    url: https://tarefy.com
  license:
    name: Proprietary
servers:
  - url: https://app.tarefy.com/nodeapi
    description: Production
security:
  - bearerAuth: []
tags: []
paths:
  /v2/templates:
    post:
      tags:
        - Templates
      summary: Cria um novo template
      description: >-
        Cria um template de Kanban com colunas, tarefas, épicos e automações
        legacy opcionais.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                automations:
                  type: array
                  description: >-
                    Automações legacy que serão copiadas para quadros criados a
                    partir do template.
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                      description:
                        type: string
                      event:
                        type: string
                        example: createTask
                      action:
                        type: string
                        example: addInOtherColumn
                      column:
                        description: >-
                          ID da coluna do template para eventos
                          inColumn/outColumn.
                        oneOf:
                          - type: integer
                          - type: string
                      toColumn:
                        type: integer
                        description: >-
                          ID da coluna de destino fixa em quadros internos
                          quando aplicável.
                      usersSelects:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
      responses:
        '200':
          description: Template criado com sucesso
          content:
            application/json:
              schema:
                type: object
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: |-
        JWT token obtained from `/v2/auth/login`. Send it in the header:
        `Authorization: Bearer <your_token>`

````